POST api/ClientOrder/PlaceClientOrder

Places the order

Request Information

URI Parameters

None.

Body Parameters

The order object

ClientOrder_New
NameDescriptionTypeAdditional information
CustomerOrderId

integer

None.

CustomerOrderGuid

globally unique identifier

None.

CustomerId

string

None.

CustomerName

string

None.

OrderNumber

string

None.

ShipToLocation

string

None.

OrderDate

string

None.

RequiredDeliveryDate

string

None.

Comments

string

None.

OrderStatus

string

None.

CreatedByUserId

integer

None.

CreatedDateTime

date

None.

UpdatedByUserId

integer

None.

UpdatedDateTime

date

None.

items

Collection of ClientOrderItem_New

None.

Request Formats

application/json, text/json

Sample:
{
  "CustomerOrderId": 1,
  "CustomerOrderGuid": "c256b6dd-e6f3-45a7-9ab4-297732927c5b",
  "CustomerId": "sample string 3",
  "CustomerName": "sample string 4",
  "OrderNumber": "sample string 5",
  "ShipToLocation": "sample string 6",
  "OrderDate": "sample string 7",
  "RequiredDeliveryDate": "sample string 8",
  "Comments": "sample string 9",
  "OrderStatus": "sample string 10",
  "CreatedByUserId": 11,
  "CreatedDateTime": "2026-07-17T15:05:13.921691+02:00",
  "UpdatedByUserId": 1,
  "UpdatedDateTime": "2026-07-17T15:05:13.921691+02:00",
  "items": [
    {
      "CustomerOrderItemId": 1,
      "CustomerOrderId": 2,
      "ItemCode": "sample string 3",
      "ItemDescription": "sample string 4",
      "Bags": "sample string 5",
      "Price": 6.0
    },
    {
      "CustomerOrderItemId": 1,
      "CustomerOrderId": 2,
      "ItemCode": "sample string 3",
      "ItemDescription": "sample string 4",
      "Bags": "sample string 5",
      "Price": 6.0
    }
  ]
}

application/xml, text/xml

Sample:
<ClientOrder_New xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Core.Models.Orders.ClientOrders">
  <Comments>sample string 9</Comments>
  <CreatedByUserId>11</CreatedByUserId>
  <CreatedDateTime>2026-07-17T15:05:13.921691+02:00</CreatedDateTime>
  <CustomerId>sample string 3</CustomerId>
  <CustomerName>sample string 4</CustomerName>
  <CustomerOrderGuid>c256b6dd-e6f3-45a7-9ab4-297732927c5b</CustomerOrderGuid>
  <CustomerOrderId>1</CustomerOrderId>
  <OrderDate>sample string 7</OrderDate>
  <OrderNumber>sample string 5</OrderNumber>
  <OrderStatus>sample string 10</OrderStatus>
  <RequiredDeliveryDate>sample string 8</RequiredDeliveryDate>
  <ShipToLocation>sample string 6</ShipToLocation>
  <UpdatedByUserId>1</UpdatedByUserId>
  <UpdatedDateTime>2026-07-17T15:05:13.921691+02:00</UpdatedDateTime>
  <items>
    <ClientOrderItem_New>
      <Bags>sample string 5</Bags>
      <CustomerOrderId>2</CustomerOrderId>
      <CustomerOrderItemId>1</CustomerOrderItemId>
      <ItemCode>sample string 3</ItemCode>
      <ItemDescription>sample string 4</ItemDescription>
      <Price>6</Price>
    </ClientOrderItem_New>
    <ClientOrderItem_New>
      <Bags>sample string 5</Bags>
      <CustomerOrderId>2</CustomerOrderId>
      <CustomerOrderItemId>1</CustomerOrderItemId>
      <ItemCode>sample string 3</ItemCode>
      <ItemDescription>sample string 4</ItemDescription>
      <Price>6</Price>
    </ClientOrderItem_New>
  </items>
</ClientOrder_New>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Returns the order object view model

ClientOrderViewModel
NameDescriptionTypeAdditional information
customerDetail

CustomerDetail

None.

order

ClientOrder_New

None.

overLimit

boolean

None.

overLimitMessage

string

None.

shiptoLocations

Collection of string

None.

products

Collection of ClientOrderProduct

None.

apiResponse

APIResponseMessage

None.

Response Formats

application/json, text/json

Sample:
{
  "customerDetail": {
    "CustomerName": "sample string 1",
    "AccountStatus": "sample string 2",
    "CreditLimit": 3.0,
    "Terms": "sample string 4",
    "AmountDue": 5.0,
    "Balance": 6.0,
    "Current": 7.0,
    "Days30": 8.0,
    "Days60": 9.0,
    "Target": 10.0,
    "Actual": 11.0,
    "Percentage": 12.0,
    "RepCode": "sample string 13",
    "RepName": "sample string 14",
    "UserID": 15
  },
  "order": {
    "CustomerOrderId": 1,
    "CustomerOrderGuid": "b0b18a3f-96d0-422f-8835-a5d8da2c2cc6",
    "CustomerId": "sample string 3",
    "CustomerName": "sample string 4",
    "OrderNumber": "sample string 5",
    "ShipToLocation": "sample string 6",
    "OrderDate": "sample string 7",
    "RequiredDeliveryDate": "sample string 8",
    "Comments": "sample string 9",
    "OrderStatus": "sample string 10",
    "CreatedByUserId": 11,
    "CreatedDateTime": "2026-07-17T15:05:13.9373233+02:00",
    "UpdatedByUserId": 1,
    "UpdatedDateTime": "2026-07-17T15:05:13.9373233+02:00",
    "items": [
      {
        "CustomerOrderItemId": 1,
        "CustomerOrderId": 2,
        "ItemCode": "sample string 3",
        "ItemDescription": "sample string 4",
        "Bags": "sample string 5",
        "Price": 6.0
      },
      {
        "CustomerOrderItemId": 1,
        "CustomerOrderId": 2,
        "ItemCode": "sample string 3",
        "ItemDescription": "sample string 4",
        "Bags": "sample string 5",
        "Price": 6.0
      }
    ]
  },
  "overLimit": true,
  "overLimitMessage": "sample string 2",
  "shiptoLocations": [
    "sample string 1",
    "sample string 2"
  ],
  "products": [
    {
      "ItemNo": "sample string 1",
      "ItemDescription": "sample string 2",
      "StandardPrice": "sample string 3",
      "NumberOfSacks": 4
    },
    {
      "ItemNo": "sample string 1",
      "ItemDescription": "sample string 2",
      "StandardPrice": "sample string 3",
      "NumberOfSacks": 4
    }
  ],
  "apiResponse": {
    "HttpStatusCode": "sample string 1",
    "ReasonPhrase": "sample string 2",
    "ExceptionMessage": "sample string 3",
    "GeneralMessage": "sample string 4"
  }
}

application/xml, text/xml

Sample:
<ClientOrderViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.ClientOrders">
  <apiResponse xmlns:d2p1="http://schemas.datacontract.org/2004/07/API.Core.Models">
    <d2p1:ExceptionMessage>sample string 3</d2p1:ExceptionMessage>
    <d2p1:GeneralMessage>sample string 4</d2p1:GeneralMessage>
    <d2p1:HttpStatusCode>sample string 1</d2p1:HttpStatusCode>
    <d2p1:ReasonPhrase>sample string 2</d2p1:ReasonPhrase>
  </apiResponse>
  <customerDetail xmlns:d2p1="http://schemas.datacontract.org/2004/07/API.Core.Models.Customer.ClientOrders">
    <d2p1:AccountStatus>sample string 2</d2p1:AccountStatus>
    <d2p1:Actual>11</d2p1:Actual>
    <d2p1:AmountDue>5</d2p1:AmountDue>
    <d2p1:Balance>6</d2p1:Balance>
    <d2p1:CreditLimit>3</d2p1:CreditLimit>
    <d2p1:Current>7</d2p1:Current>
    <d2p1:CustomerName>sample string 1</d2p1:CustomerName>
    <d2p1:Days30>8</d2p1:Days30>
    <d2p1:Days60>9</d2p1:Days60>
    <d2p1:Percentage>12</d2p1:Percentage>
    <d2p1:RepCode>sample string 13</d2p1:RepCode>
    <d2p1:RepName>sample string 14</d2p1:RepName>
    <d2p1:Target>10</d2p1:Target>
    <d2p1:Terms>sample string 4</d2p1:Terms>
    <d2p1:UserID>15</d2p1:UserID>
  </customerDetail>
  <order xmlns:d2p1="http://schemas.datacontract.org/2004/07/API.Core.Models.Orders.ClientOrders">
    <d2p1:Comments>sample string 9</d2p1:Comments>
    <d2p1:CreatedByUserId>11</d2p1:CreatedByUserId>
    <d2p1:CreatedDateTime>2026-07-17T15:05:13.9373233+02:00</d2p1:CreatedDateTime>
    <d2p1:CustomerId>sample string 3</d2p1:CustomerId>
    <d2p1:CustomerName>sample string 4</d2p1:CustomerName>
    <d2p1:CustomerOrderGuid>b0b18a3f-96d0-422f-8835-a5d8da2c2cc6</d2p1:CustomerOrderGuid>
    <d2p1:CustomerOrderId>1</d2p1:CustomerOrderId>
    <d2p1:OrderDate>sample string 7</d2p1:OrderDate>
    <d2p1:OrderNumber>sample string 5</d2p1:OrderNumber>
    <d2p1:OrderStatus>sample string 10</d2p1:OrderStatus>
    <d2p1:RequiredDeliveryDate>sample string 8</d2p1:RequiredDeliveryDate>
    <d2p1:ShipToLocation>sample string 6</d2p1:ShipToLocation>
    <d2p1:UpdatedByUserId>1</d2p1:UpdatedByUserId>
    <d2p1:UpdatedDateTime>2026-07-17T15:05:13.9373233+02:00</d2p1:UpdatedDateTime>
    <d2p1:items>
      <d2p1:ClientOrderItem_New>
        <d2p1:Bags>sample string 5</d2p1:Bags>
        <d2p1:CustomerOrderId>2</d2p1:CustomerOrderId>
        <d2p1:CustomerOrderItemId>1</d2p1:CustomerOrderItemId>
        <d2p1:ItemCode>sample string 3</d2p1:ItemCode>
        <d2p1:ItemDescription>sample string 4</d2p1:ItemDescription>
        <d2p1:Price>6</d2p1:Price>
      </d2p1:ClientOrderItem_New>
      <d2p1:ClientOrderItem_New>
        <d2p1:Bags>sample string 5</d2p1:Bags>
        <d2p1:CustomerOrderId>2</d2p1:CustomerOrderId>
        <d2p1:CustomerOrderItemId>1</d2p1:CustomerOrderItemId>
        <d2p1:ItemCode>sample string 3</d2p1:ItemCode>
        <d2p1:ItemDescription>sample string 4</d2p1:ItemDescription>
        <d2p1:Price>6</d2p1:Price>
      </d2p1:ClientOrderItem_New>
    </d2p1:items>
  </order>
  <overLimit>true</overLimit>
  <overLimitMessage>sample string 2</overLimitMessage>
  <products xmlns:d2p1="http://schemas.datacontract.org/2004/07/API.Core.Models.Orders.ClientOrders">
    <d2p1:ClientOrderProduct>
      <d2p1:ItemDescription>sample string 2</d2p1:ItemDescription>
      <d2p1:ItemNo>sample string 1</d2p1:ItemNo>
      <d2p1:NumberOfSacks>4</d2p1:NumberOfSacks>
      <d2p1:StandardPrice>sample string 3</d2p1:StandardPrice>
    </d2p1:ClientOrderProduct>
    <d2p1:ClientOrderProduct>
      <d2p1:ItemDescription>sample string 2</d2p1:ItemDescription>
      <d2p1:ItemNo>sample string 1</d2p1:ItemNo>
      <d2p1:NumberOfSacks>4</d2p1:NumberOfSacks>
      <d2p1:StandardPrice>sample string 3</d2p1:StandardPrice>
    </d2p1:ClientOrderProduct>
  </products>
  <shiptoLocations xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </shiptoLocations>
</ClientOrderViewModel>